
Infrastructure - Story #971

Implement search() function in d1-java

2010-10-07 18:18 - Matthew Jones

Status: Closed Start date: 2011-10-12

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Story Points:    

Description

Subtasks:

Task # 1852: implement search(SolrQuery) method in CNode Closed

Task # 1862: tie in solr search methods into the CN service API search method Closed

Task # 1853: create convenience methods for search Closed

Task # 1854: create getFields() method for accessing Solr fields Closed

History

#1 - 2010-10-07 18:40 - Dave Vieglais

- Position set to 5

- Position deleted (3)

- Target version set to Sprint-2010.42

#2 - 2010-10-22 16:54 - Dave Vieglais

- Target version deleted (Sprint-2010.42)

- Position set to 9

- Position deleted (23)

#3 - 2010-11-08 18:08 - Dave Vieglais

- Position deleted (22)

- Position set to 3

- Target version set to Sprint-2010.46

#4 - 2010-11-19 17:48 - Dave Vieglais

- Target version changed from Sprint-2010.46 to Sprint-2010.48

- Position deleted (33)

- Position set to 2

#5 - 2010-11-30 17:55 - Matthew Jones

- Target version deleted (Sprint-2010.48)

- Position set to 2

- Position deleted (9)

#6 - 2011-08-30 02:46 - Dave Vieglais

- Position set to 14

- Position deleted (190)
#7 - 2011-10-07 19:48 - Dave Vieglais

- Position set to 30

- Position deleted (45)

- Target version set to Sprint-2011.41-Block.5

#8 - 2011-10-17 17:13 - Rob Nahf

- Milestone set to None

refactored solr-client based methods to remove dependency on the large package.

Created a convenience method to help users with url encoding - taking a D1Url instead of a String object.

Integration tasks working and committed.

#9 - 2011-10-17 17:13 - Rob Nahf

- Assignee set to Rob Nahf

- Status changed from New to Closed
